package gui.run;

/*
 * Copyright (c) 2005 DocJava, Inc. All Rights Reserved.
 */

import gui.ClosableJFrame;

import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import java.awt.*;

public abstract class RunSpinner extends JSpinner
        implements Runnable, ChangeListener {

    public RunSpinner(SpinnerModel sm) {
        setModel(sm);
        sm.addChangeListener(this);
    }
    public static void main(String args[]) {
        ClosableJFrame cf = new ClosableJFrame();
        final Container contentPane = cf.getContentPane();
        contentPane.add(new RunSpinner(new SpinnerNumberModel()){
            public void run(){
                System.out.println(getValue());
            }
        });
        
        cf.setSize(400, 75);
        cf.setVisible(true);

    }

    public void stateChanged(ChangeEvent event) {
        run();
    }
}
